Bug 1718084 - The enchant_hunspell.cpp leaks memory
Summary: The enchant_hunspell.cpp leaks memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: enchant2
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-06 20:41 UTC by Milan Crha
Modified: 2019-07-16 03:22 UTC (History)
1 user (show)

Fixed In Version: enchant2-2.2.5-1.fc30 enchant2-2.2.5-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-16 01:39:48 UTC


Attachments (Terms of Use)
mem-leaks.patch (1.64 KB, patch)
2019-06-06 20:41 UTC, Milan Crha
no flags Details | Diff

Description Milan Crha 2019-06-06 20:41:41 UTC
Created attachment 1578094 [details]
mem-leaks.patch

This is with enchant2-2.2.3-6.fc30.x86_64

While looking into some memory leaks in some other application I noticed that enchant2 leaks memory related to g_build_filename(). Looking more closely into the sources it comes from  enchant_hunspell.cpp. Attached is a patch, which fixes it. (I've no github account, thus adding the patch here. Forward it upstream, please.)

An unrelated side note: enchant2 supports also hspell, which is not disabled in the enchant2.spec file, thus the configure checks on the fly whether it's installed and enables it when it is. I noticed that when testing the change and building it locally. Consider adding --without-hspell into the %configure call, or add a new subpackage, to avoid the auto-check issue. I mean, if you'd like to.

Comment 1 Sandro Mani 2019-06-28 10:52:50 UTC
Thanks and sorry for the late reply, forwarded: https://github.com/AbiWord/enchant/issues/215. I'll apply the patches downstream in the meantime.

Comment 2 Fedora Update System 2019-06-28 11:15:16 UTC
FEDORA-2019-f7aeadfeba has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f7aeadfeba

Comment 3 Fedora Update System 2019-06-28 18:25:50 UTC
enchant2-2.2.4-2.fc30, mingw-enchant2-2.2.4-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-97cc695aed

Comment 4 Fedora Update System 2019-06-28 21:44:30 UTC
enchant2-2.2.4-2.fc29, mingw-enchant2-2.2.4-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f7aeadfeba

Comment 5 Fedora Update System 2019-07-01 13:11:08 UTC
FEDORA-2019-1eca0255ee has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1eca0255ee

Comment 6 Fedora Update System 2019-07-03 02:26:27 UTC
enchant2-2.2.5-1.fc30, mingw-enchant2-2.2.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bf968f8fa7

Comment 7 Fedora Update System 2019-07-03 19:48:48 UTC
enchant2-2.2.5-1.fc29, mingw-enchant2-2.2.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1eca0255ee

Comment 8 Fedora Update System 2019-07-16 01:39:48 UTC
enchant2-2.2.5-1.fc30, mingw-enchant2-2.2.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-07-16 03:22:01 UTC
enchant2-2.2.5-1.fc29, mingw-enchant2-2.2.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.